HaruPage::getTextRise
HaruPage::getTransMatrix
HaruPage
PHP Manual

# HaruPage::getTextWidth

(PECL haru:0.0.1)

HaruPage::getTextWidth — Get the width of the text using current fontsize, character spacing and word spacing

### Description

float HaruPage::getTextWidth ( string `$text` )

Get the width of the text using current fontsize, character spacing and word spacing

### Parameters

`text`

  The text to measure.

### Return Values

Returns the width of the text using current fontsize, character spacing and word spacing.

### Errors/Exceptions

Throws HaruException on error.

### See Also

- HaruPage::measureText()

HaruPage::getTextRise
HaruPage::getTransMatrix
HaruPage
PHP Manual